io.vertx.ext.json.schema.draft201909

## Class Draft201909SchemaParser

- java.lang.Object
- - io.vertx.ext.json.schema.common.BaseSchemaParser
  - - io.vertx.ext.json.schema.draft201909.Draft201909SchemaParser

- All Implemented Interfaces:
    SchemaParserInternal, SchemaParser

      public class Draft201909SchemaParser
      extends BaseSchemaParser

- - ### Field Summary

    - ### Fields inherited from class io.vertx.ext.json.schema.common.BaseSchemaParser

      `router, validatorFactories`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Draft201909SchemaParser(SchemaRouter router)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Draft201909SchemaParser` | `create(SchemaRouter router)` Instantiate a Draft201909SchemaParser
    `protected SchemaImpl` | `createSchema(JsonObject schema, JsonPointer scope, MutableStateValidator parent)`
    `Draft201909SchemaParser` | `ignoreFormatKeyword()` Because in draft2019-09 `format` keyword is no longer an assertion, you may turn the validation of the keyword off using this method
    `protected List<ValidatorFactory>` | `initValidatorFactories()`
    `static Schema` | `parse(Vertx vertx, JsonObject schema, URI scope)` Parse a draft2019-09 schema
    `protected Map.Entry<Optional<JsonPointer>,Optional<String>>` | `resolveIdAndAlias(JsonObject schema, URI scope)`

    - ### Methods inherited from class io.vertx.ext.json.schema.common.BaseSchemaParser

      `getSchemaRouter, parse, parseFromString, withStringFormatValidator, withValidatorFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.ext.json.schema.common.SchemaParserInternal

      `parse, parse, parse, parse, parse, parse, parse, parseFromString, parseFromString, parseFromString, parseFromString`

    - ### Methods inherited from interface io.vertx.ext.json.schema.SchemaParser

      `createDraft201909SchemaParser, createDraft7SchemaParser, createOpenAPI3SchemaParser`

- - ### Constructor Detail

    - #### Draft201909SchemaParser

          protected Draft201909SchemaParser(SchemaRouter router)

  - ### Method Detail

    - #### initValidatorFactories

          protected List<ValidatorFactory> initValidatorFactories()

      Specified by:
        `initValidatorFactories` in class `BaseSchemaParser`

    - #### resolveIdAndAlias

          protected Map.Entry<Optional<JsonPointer>,Optional<String>> resolveIdAndAlias(JsonObject schema,
                                                                                        URI scope)

      Overrides:
        `resolveIdAndAlias` in class `BaseSchemaParser`

    - #### createSchema

          protected SchemaImpl createSchema(JsonObject schema,
                                            JsonPointer scope,
                                            MutableStateValidator parent)

      Overrides:
        `createSchema` in class `BaseSchemaParser`

    - #### ignoreFormatKeyword

          public Draft201909SchemaParser ignoreFormatKeyword()

      Because in draft2019-09 `format` keyword is no longer an assertion, you may turn the validation of the keyword off using this method
      Returns:
        a reference to this

    - #### create

          public static Draft201909SchemaParser create(SchemaRouter router)

      Instantiate a Draft201909SchemaParser
      Parameters:
        `router` - router to associate to read $ref
      Returns:
        a new instance of Draft201909SchemaParser

    - #### parse

          public static Schema parse(Vertx vertx,
                                     JsonObject schema,
                                     URI scope)

      Parse a draft2019-09 schema
      Parameters:
        `vertx` - this vertx instance
        `schema` - parsed json schema
        `scope` - scope of json schema
      Returns:
        a new instance of Draft201909SchemaParser
      Throws:
        `SchemaException` - if schema is invalid

Copyright © 2020 Eclipse. All rights reserved.